Freeciv-3.3: Data Fields

Freeciv-3.3

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - t -

- t : timer
- t1 : qtiles
- t2 : qtiles
- tab : gui_dialog
- tab_achievement() : tab_achievement
- tab_building() : tab_building
- tab_counter() : tab_counter
- tab_enabler() : tab_enabler
- tab_extras() : tab_extras
- tab_good() : tab_good
- tab_gov() : tab_gov
- tab_misc() : tab_misc
- tab_multiplier() : tab_multiplier
- tab_nation() : tab_nation
- tab_tech() : tab_tech
- tab_terrains() : tab_terrains
- tab_unit() : tab_unit
- tab_widget : option_dialog
- table_labels : intel_dialog
- tabs : unit_select_dialog
- tag : mfcb_data, packet_edit_city_create, packet_edit_object_created, packet_edit_player_create, packet_edit_startpos, packet_edit_unit_create, packet_play_music, sample
- tag_table : property_page
- tagname : citizens_column, city_report_spec, player_dlg_column
- tags : message
- tail : tag_types
- tail_link : genlist
- target : act_confirmation_data, client_option, counter, event_cache_data, multiplier_value, option, packet_unit_change_activity, production_item, sell_data, terrain_select, unit_ai, unit_order
- target_building_id : action_data
- target_city_id : action_data, packet_unit_actions
- target_complexity : action
- target_extra_id : action_data, packet_unit_actions, packet_unit_get_actions
- target_government : packet_edit_player, packet_player_info, player
- target_id : choice_dialog, packet_unit_action_answer, packet_unit_action_query, packet_unit_do_action, small_diplomat_dialog
- target_ids : diplomat_dialog
- target_kind : action
- target_reqs : action_enabler, packet_ruleset_action_enabler
- target_reqs_count : packet_ruleset_action_enabler
- target_tech_id : action_data
- target_tile : pf_reverse_map
- target_tile_id : action_data, packet_unit_actions, packet_unit_get_actions
- target_type : event_cache_data
- target_unit_button : choice_dialog
- target_unit_id : action_data, packet_unit_actions, packet_unit_get_actions
- targeted_unit : choice_dialog
- targets : packet_ruleset_unit, techs_buttons, unit_type, wl_editor
- task : texai_worker_task_req, unit_adv, unit_ai
- task_reqs : city
- tax : packet_edit_player, packet_player_info, packet_player_rates, player_economic, rates_move
- tax_gold : named_sprites
- tax_luxury : named_sprites
- tax_rates_dialog() : tax_rates_dialog
- tax_science : named_sprites
- tc : DataFilter, role_unit_cb_data
- tclass : advance, packet_ruleset_tech, packet_ruleset_terrain, terrain
- tcptimeout : civ_game
- tdc : cityresult
- tdc_hash : ai_settler, cityresult
- te_inner() : hud_battle_log
- team : packet_edit_player, packet_player_info, player, team_slot
- team_id : packet_team_name_info
- team_name : packet_team_name_info
- team_placement : civ_map
- team_pooled_research : packet_game_info
- tech : edit_tech, named_sprites, packet_game_info, packet_player_research, packet_player_tech_goal, ruledit_gui, tree_node
- tech_cost_style : packet_game_info
- tech_goal : packet_research_info, research
- tech_id : req_tooltip_help
- tech_label : plr_report
- tech_leader : adv_data
- tech_leak_pct : packet_game_info
- tech_leakage : packet_game_info
- tech_list : tab_tech
- tech_loss_allow_holes : packet_game_info
- tech_name() : tab_tech
- tech_parasite_allow_holes : packet_game_info
- tech_steal_allow_holes : packet_game_info
- tech_str : plr_widget, qlist_item
- tech_trade_allow_holes : packet_game_info
- tech_trade_loss_allow_holes : packet_game_info
- tech_tree_icon : theme_icons
- tech_upkeep : packet_player_info, player
- tech_upkeep_divider : packet_game_info
- tech_upkeep_style : packet_game_info
- tech_want : ai_plr
- techflag : universals_u
- techloss_forgiveness : packet_game_info
- techloss_restore : civ_game
- techlost_donor : civ_game
- techlost_recv : civ_game
- technology : loaddata
- techout : player_score
- techpenalty : civ_game
- techs : intel_dialog, player_score
- techs_known : plr_widget
- techs_researched : packet_research_info, research
- techs_to_menu() : tab_counter, tab_tech
- techs_unknown : plr_widget
- temp_condition : terrain_select
- temperature : civ_map
- template : goto_map, pf_reverse_map
- ter : edit_terrain
- terrain : editor_sprites, nation_city, packet_edit_tile, packet_edit_tile_terrain, packet_tile_info, player_tile, texai_tile_info_msg, tile, universals_u
- terrain_count : packet_ruleset_control
- terrain_freeze_requirement_pct : packet_ruleset_terrain_control
- terrain_list : tab_terrains
- terrain_max_values() : help_widget
- terrain_resource : editor_sprites
- terrain_special : editor_sprites
- terrain_thaw_requirement_pct : packet_ruleset_terrain_control
- terrainalter : universals_u
- terrainclass : universals_u
- terrainflag : universals_u
- terrains : ruledit_gui
- territory : editor_sprites
- text : help_item, hud_input_box, hud_message_box, hud_text, packet_ruleset_description_part, packet_ruleset_summary, pf_pattern, utf8_str
- text_browser : help_widget
- text_browser_dblclck() : text_browser_dblclck
- text_edit : diplo_wdg
- text_label : hud_units
- text_width : CONNLIST
- textbuf : extviewer
- tgov : req_tooltip_help
- tgt : packet_worker_task, worker_task, zoom_data
- tgt_1_0 : zoom_data
- tgt_kind : packet_ruleset_action
- tgt_reqs_button : tab_enabler
- tgt_sub : act_confirmation_data
- theme : widget
- theme2 : widget
- themes : theme_directory
- this_continent : unit_hud_selector
- this_tile : unit_hud_selector
- this_type : unit_hud_selector
- thr_cond : texai_msgs
- thread : minimap_view
- thread_running : texai_thr
- threaded_save : civ_game
- threat : adv_area_info
- threats : adv_data
- tidx : treaty_cb_data
- tile : animation, city, cityresult, message, named_sprites, packet_chat_msg, packet_city_info, packet_city_short_info, packet_early_chat_msg, packet_edit_city_create, packet_edit_player_vision, packet_edit_tile, packet_edit_tile_extra, packet_edit_tile_terrain, packet_edit_unit_create, packet_edit_unit_remove, packet_nuke_tile_info, packet_player_place_infra, packet_tile_info, packet_unit_info, packet_unit_short_info, packetdata, pf_map, pf_position, req_context, tile_corner, tile_edge, trade_city, unit, vision, widget
- tile_bonus : packet_ruleset_road, road_type
- tile_cache : city
- tile_cache_radius_sq : city
- tile_callbacks : agent
- tile_foodnum : named_sprites
- tile_hash : tileset
- tile_height : view
- tile_id : packet_city_make_specialist, packet_city_make_worker, packet_worker_task
- tile_incr : packet_ruleset_road, road_type
- tile_incr_const : packet_ruleset_road, road_type
- tile_info : ai_type
- tile_known : player, tile_vision_data
- tile_label : hud_units
- tile_seen : tile_vision_data
- tile_shieldnum : named_sprites
- tile_tradenum : named_sprites
- tile_vision : player
- tile_width : view
- tilelabel_offset_y : tileset
- tiles : civ_map, cm_tile_type
- tileset_custom_load() : mr_menu
- tileset_type_set : gui_funcs
- tileshape : img
- tilesperplayer : civ_map
- timeout : hud_text, packet_game_info
- timeoutaddenemymove : civ_game
- timeoutcounter : civ_game
- timeoutinc : civ_game
- timeoutincmult : civ_game
- timeoutint : civ_game
- timeoutintinc : civ_game
- timer : ai_plr, fc_sidewidget, mr_idle, server_scan_timer_data
- timer_active : research_diagram
- timer_event() : map_view
- timerEvent() : fc_client, hud_battle_log, hud_input_box, hud_message_box, hud_text, progress_bar
- timestamp : event_cache_data
- timpr : req_tooltip_help
- tindex : texai_city_info_msg, texai_unit_info_msg, texai_unit_move_msg
- tinfo : civ_game
- tinyisles : civ_map
- tired : named_sprites
- tired_attack : packet_game_info
- title : citizens_column, gui_dialog, history_report, hud_input_box, hud_message_box, img, player_dlg_column
- title1 : city_report_spec
- title2 : city_report_spec
- title_begin : tag_types
- title_end : tag_types
- title_label : help_widget
- titlebar_height : qfc_dialog
- tmp_store : view
- to : packet_city_change_specialist
- to_pct : goods_type, packet_ruleset_goods
- to_text : dem_row
- toggle : menu_entry_info
- toggle_ai_but : plr_report
- toggle_ai_mode() : plr_report
- toggle_button : inputline_toolkit
- toggle_size() : chatwdg
- toggle_unit_sel_widget() : fc_client
- token : inputfile, packet_single_want_hack_req
- too_short : raw_data_out
- tool : editor_state, mapdef, toolkit
- tool_active : editor_state
- tool_applied_player_combobox : editinfobox
- tool_applied_player_store : editinfobox
- tool_buttons : editbar
- tool_image : editinfobox
- tool_label : editinfobox
- tool_pic : editinfobox
- tool_selectors : editbar
- tool_value_label : editinfobox
- toolbar : inputline_toolkit
- toolbar_displayed : inputline_toolkit
- tools : editor_state
- tooltip : editor_tool, objprop
- tooltip_pos : research_diagram
- tooltip_rect : research_diagram
- tooltip_text : research_diagram
- top : hud_input_box, hud_message_box
- top_cities_count : packet_game_info
- top_widget : city_dialog
- topic : help_item, server
- topics_map : help_dialog
- topo_property : universals_u
- topology_id : civ_map, packet_map_info, packet_set_topology
- total : cityresult, islands_data_type, named_sprites
- total_bulbs_prod : packet_research_info, research
- total_cost : improvement_entry, unit_entry
- total_EC : pf_position
- total_length : packet_player_attribute_chunk
- total_MC : pf_position
- total_startpos_num : team_placement_config
- totalmass : gen234_state
- tp_defense : packet_ruleset_unit, unit_type
- tp_id : transport_radio_cb_data, unit_sel_extra_cb_data, unit_sel_unit_cb_data
- tplayer : races_dialog
- trade : city_icon, citybar_sprites, tile_data_cache
- trade_city() : trade_city
- trade_gen : fc_client
- trade_generator() : trade_generator
- trade_num : trade_city
- trade_pct : packet_ruleset_trade, trade_route_settings
- trade_revenue_style : packet_game_info
- trade_route_count : packet_city_info
- trade_world_rel_pct : packet_game_info
- trademindist : packet_game_info
- trading_city : packet_game_info
- trading_gold : packet_game_info
- trading_tech : packet_game_info
- trait : loaddata
- trait_dist : civ_game
- traits : nation_type, player_ai
- transform : fair_geometry_data, named_sprites
- transform_num : fair_geometry_data
- transform_result : packet_ruleset_terrain, terrain
- transform_time : packet_ruleset_terrain, terrain
- translated : name_translation
- translation_domain : nation_type, packet_ruleset_nation
- transport_capacity : packet_ruleset_unit, unit_type
- transported : packet_unit_info, packet_unit_short_info
- transported_by : packet_edit_unit, packet_unit_info, packet_unit_short_info, unit
- transported_by_initially : pf_parameter
- transporter : unit
- transporting : unit
- transports : hud_unit_loader
- travel_time : packet_spaceship_info, player_spaceship
- treaty : diplo_wdg, Diplomacy_dialog, diplomacy_dialog
- treaty_accepted : ai_type
- treaty_evaluate : ai_type
- treaty_list : diplo_dlg
- treaty_thumb : named_sprites
- tree_view : economy_report, endgame_report, meswin_dialog, save_dialog, units_report
- tree_wdg : help_dialog
- true_length : text_edit
- true_theme : checkbox
- ts_topo_idx : tileset
- tsurf : utf8_char
- tt_help : research_diagram
- tunit : req_tooltip_help
- turn : built_status, history_report, img, message, packet_chat_msg, packet_early_chat_msg, packet_game_info, packet_new_year, packet_player_phase_done, pf_position, tile_data_cache
- turn_change_time : civ_game
- turn_count : vote
- turn_counter : link_mark
- turn_founded : city, packet_city_info, packet_edit_city
- turn_last_built : city, packet_city_info, packet_edit_city
- turn_plague : city
- turn_start_notify : agent
- turnblock : civ_game
- turns : civ_game, mapdef, named_sprites
- turns_alive : packet_player_info, player
- turns_hundreds : named_sprites
- turns_left : packet_player_diplstate, player_diplstate
- turns_tens : named_sprites
- tx : named_sprites
- type : achievement, adv_choice, animation, call, cf_sequence, citizens_column, city_label, civ_game, Clause, clause_info, cm_tile, combat_bonus, conn_pattern, counter, effect, entry, generate_packets.Packet, generate_packets.Variant, gui_dialog, help_item, help_page_selection, improvement_entry, install_info, link_mark, option, packet_authentication_req, packet_diplomacy_create_clause, packet_diplomacy_create_clause_req, packet_diplomacy_remove_clause, packet_diplomacy_remove_clause_req, packet_edit_unit_create, packet_edit_unit_remove, packet_header, packet_player_diplstate, packet_report_req, packet_ruleset_achievement, packet_ruleset_clause, packet_ruleset_counter, packet_ruleset_unit_bonus, packet_spaceship_place, packet_to_handle, packet_unit_info, packet_unit_short_info, packet_unit_sscs_set, packet_unit_type_upgrade, player_diplstate, player_dlg_column, server::players, server_scan, spaceship_component, tab_counter, texai_msg, texai_req, texai_unit_info_msg, text_tag, tile_edge, tileset, timer, unit_entry
- type_attacker : hud_unit_combat
- type_button : tab_enabler
- type_defender : hud_unit_combat
- type_filter() : unit_hud_selector
- type_flags : edit_buffer
- type_info : generate_packets.Field
- TYPE_INFO_PATTERN : generate_packets.TypeRegistry
- type_menu : tab_enabler
- type_number : generate_packets.Packet
- TYPE_PATTERN : generate_packets.BoolType, generate_packets.FloatType, generate_packets.IntType, generate_packets.PacketsDefinition, generate_packets.StructType
- type_registry : generate_packets.PacketsDefinition
- type_t : listener< _type_ >
- types : generate_packets.PacketsDefinition